Skip to content

Get multiple players

GET
/v4/players/

Returns a list of players. This can be narrowed down to specific entries via the querystring. You can get a single player by using the GETGet a single player endpoint.

Parameters

Query Parameters

offset
Type
integer
Minimum
0
limit
Type
integer
Minimum
1
sort_by

Player sorting method to use for querying.

Sorting method may start with + (ascending) or - (descending).

Defaults to + if not specified.

Player sorting methods:

  • default
  • streak
  • legiticoins
  • online

Throws HTTP 400 Bad Request if the format is not followed correctly.

Type
string
Examples
"default""+streak""-legiticoins""online"
Format
"player-sort-by-parameter"
project

Inlcudes or excludes specified fields.

Mixing inclusion and exclusion will throw HTTP 400 Bad Request.

Type
string
Examples
"name,visits""!world_uuid,!last_scraped"

Responses

Default Response

application/json
JSON
[
  
{
  
  
"streak": 0,
  
  
"legiticoins": 0,
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"rank": "string",
  
  
"online": true,
  
  
"world": "de9b06f4-39ea-4143-b0db-e4db7060b842"
  
}
]

Playground

Server
Variables
Key
Value

Samples

Powered by VitePress OpenAPI